#include "iface.h"
#include "grint.h"
#include "node1.h"


 static char CLRSCR [] = { 27, 91, 50, 74, 0 };
 static char CLREOS [] = { 27, 91, 74, 0 };
 static char CLREOL [] = { 27, 91, 75, 0 };


 static char txt [80];
 static void *ps;
 static void *pr;



 static void msgtest (K_MBOX B, int size)
   {
   int   n, t;
   K_MSG M;

   M.rx_data = ps;

   KS_Sleep (300);

   KS_Elapse (&t);
   for (n = 0; n < 0x00100000; n += size)
     {
     M.size = size;
     M.tx_task = ANYTASK;
     KS_ReceiveW (B, &M);
     }
   t = KS_Elapse (&t);

   sprintf (txt, "%6d Kb / s\n", 0x00100000 / t);
   printl (txt, CONRES, CONOQ);
   KS_Sleep (300);
   }


 void test11 (void)
   {
   K_MSG M;

   pr = malloc (0x010000);

   M.tx_data = pr;

   while (1)
     {
     M.size = 0x010000;
     M.rx_task = ANYTASK;
     KS_SendW (MBX11, 1, &M);
     }
   }


 void test12 (void)
   {
   ps = malloc (0x010000);

   KS_Sleep (300);

   printl ("Dest = NODE1, Mbox on NODE1, size =   1K : ", CONRES, CONOQ);
   msgtest (MBX11, 1024);

   printl ("Dest = NODE1, Mbox on NODE1, size =   2K : ", CONRES, CONOQ);
   msgtest (MBX11, 2048);

   printl ("Dest = NODE1, Mbox on NODE1, size =   4K : ", CONRES, CONOQ);
   msgtest (MBX11, 4096);

   printl ("Dest = NODE1, Mbox on NODE1, size =   8K : ", CONRES, CONOQ);
   msgtest (MBX11, 8192);

   printl ("Dest = NODE1, Mbox on NODE1, size =  16K : ", CONRES, CONOQ);
   msgtest (MBX11, 16384);

   printl ("\n", CONRES, CONOQ);


   printl ("Dest = NODE2, Mbox on NODE2, size =   1K : ", CONRES, CONOQ);
   msgtest (MBX21, 1024);

   printl ("Dest = NODE2, Mbox on NODE1, size =   1K : ", CONRES, CONOQ);
   msgtest (MBX12, 1024);

   printl ("Dest = NODE2, Mbox on NODE2, size =   2K : ", CONRES, CONOQ);
   msgtest (MBX21, 2048);

   printl ("Dest = NODE2, Mbox on NODE1, size =   2K : ", CONRES, CONOQ);
   msgtest (MBX12, 2048);

   printl ("Dest = NODE2, Mbox on NODE2, size =   4K : ", CONRES, CONOQ);
   msgtest (MBX21, 4096);

   printl ("Dest = NODE2, Mbox on NODE1, size =   4K : ", CONRES, CONOQ);
   msgtest (MBX12, 4096);

   printl ("Dest = NODE2, Mbox on NODE2, size =   8K : ", CONRES, CONOQ);
   msgtest (MBX21, 8192);

   printl ("Dest = NODE2, Mbox on NODE1, size =   8K : ", CONRES, CONOQ);
   msgtest (MBX12, 8192);

   printl ("Dest = NODE2, Mbox on NODE2, size =  16K : ", CONRES, CONOQ);
   msgtest (MBX21, 16384);

   printl ("Dest = NODE2, Mbox on NODE1, size =  16K : ", CONRES, CONOQ);
   msgtest (MBX12, 16384);

   printl ("\n", CONRES, CONOQ);


   printl ("Dest = NODE3, Mbox on NODE3, size =   1K : ", CONRES, CONOQ);
   msgtest (MBX31, 1024);

   printl ("Dest = NODE3, Mbox on NODE1, size =   1K : ", CONRES, CONOQ);
   msgtest (MBX13, 1024);

   printl ("Dest = NODE3, Mbox on NODE3, size =   2K : ", CONRES, CONOQ);
   msgtest (MBX31, 2048);

   printl ("Dest = NODE3, Mbox on NODE1, size =   2K : ", CONRES, CONOQ);
   msgtest (MBX13, 2048);

   printl ("Dest = NODE3, Mbox on NODE3, size =   4K : ", CONRES, CONOQ);
   msgtest (MBX31, 4096);

   printl ("Dest = NODE3, Mbox on NODE1, size =   4K : ", CONRES, CONOQ);
   msgtest (MBX13, 4096);

   printl ("Dest = NODE3, Mbox on NODE3, size =   8K : ", CONRES, CONOQ);
   msgtest (MBX31, 8192);

   printl ("Dest = NODE3, Mbox on NODE1, size =   8K : ", CONRES, CONOQ);
   msgtest (MBX13, 8192);

   printl ("Dest = NODE3, Mbox on NODE3, size =  16K : ", CONRES, CONOQ);
   msgtest (MBX31, 16384);

   printl ("Dest = NODE3, Mbox on NODE1, size =  16K : ", CONRES, CONOQ);
   msgtest (MBX13, 16384);

   printl ("\n", CONRES, CONOQ);


   printl ("Dest = NODE4, Mbox on NODE4, size =   1K : ", CONRES, CONOQ);
   msgtest (MBX41, 1024);

   printl ("Dest = NODE4, Mbox on NODE1, size =   1K : ", CONRES, CONOQ);
   msgtest (MBX14, 1024);

   printl ("Dest = NODE4, Mbox on NODE4, size =   2K : ", CONRES, CONOQ);
   msgtest (MBX41, 2048);

   printl ("Dest = NODE4, Mbox on NODE1, size =   2K : ", CONRES, CONOQ);
   msgtest (MBX14, 2048);

   printl ("Dest = NODE4, Mbox on NODE4, size =   4K : ", CONRES, CONOQ);
   msgtest (MBX41, 4096);

   printl ("Dest = NODE4, Mbox on NODE1, size =   4K : ", CONRES, CONOQ);
   msgtest (MBX14, 4096);

   printl ("Dest = NODE4, Mbox on NODE4, size =   8K : ", CONRES, CONOQ);
   msgtest (MBX41, 8192);

   printl ("Dest = NODE4, Mbox on NODE1, size =   8K : ", CONRES, CONOQ);
   msgtest (MBX14, 8192);

   printl ("Dest = NODE4, Mbox on NODE4, size =  16K : ", CONRES, CONOQ);
   msgtest (MBX41, 16384);

   printl ("Dest = NODE4, Mbox on NODE1, size =  16K : ", CONRES, CONOQ);
   msgtest (MBX14, 16384);

   printl ("\n", CONRES, CONOQ);

   KS_Sleep (1000);
   server_terminate ();
   }


