#include "iface.h"
#include "grint.h"
#include "node1.h"


 static char CLRSCR [] = { 27, 91, 50, 74, 0 };
 static char CLREOS [] = { 27, 91, 74, 0 };
 static char CLREOL [] = { 27, 91, 75, 0 };


 static char string [80];


 void test11 (void)
   {
   K_NODE   N = KS_NodeId;
   void    *p = malloc (0x010000);
   int      s;

   for (s = 0x000400; s <= 0x010000; s <<= 1)
     {
     KS_EnqueueW (PARAMS, &N, 4);
     KS_EnqueueW (PARAMS, &p, 4);
     KS_EnqueueW (PARAMS, &s, 4);
     }
   KS_Start (TEST21);
   }


 void master (void)
   {
   int     n, s;
   K_TICKS t;
   K_NODE  N;

   void *tx = malloc (0x010000);
   void *rx;

   while (1)
     {
     KS_DequeueW (PARAMS, &N, 4);
     KS_DequeueW (PARAMS, &rx, 4);
     KS_DequeueW (PARAMS, &s, 4);

     sprintf (string, "Dest = Node %d, Size = %2d K : ", N >> 16, s >> 10);
     printl (string, CONRES, CONOQ);
     KS_Sleep (300);

     KS_Elapse (&t);
     for (n = 0; n < 0x00100000; n += s) KS_MoveData (N, s, tx, rx, SEND);
     t = KS_Elapse (&t);

     sprintf (string, "%6d Kb / s\n", 0x00100000 / t);
     printl (string, CONRES, CONOQ);
     /* sprintf (string, "%6d #pks\n", ((0x00100000/(t*2048))*1000) );
     printl (string, CONRES, CONOQ);*/
     KS_Sleep (300);
     }
   }


