/*
 ----------------------------------------------------------------------

   VIRTUOSO CLASSICO

   $Id: siotags.h 1.3 94/05/16 11:01:13 FA REL3093 Locker: FA $

   Copyright (c) 1990-93
   Intelligent Systems International nv/sa

   Lindestraat 9, B-3210 Linden
   Belgium

   Tel +32 16.62.15.85
   Fax +32 16.62.15.84

 ----------------------------------------------------------------------
*/

/* SIOTAGS.H - function tags for standard input/output */

#ifndef SIOTAGS_H
#define SIOTAGS_H

#define MAXBLKSIZE   0x4000
#define MAXPACKETLEN   256
#define MAXFILEPTRS     32
#define MAXSTRINGLEN   240
#define MAXPATHLEN     220
#define MAXFMODELEN     20

#define SP_STDIO    193

#define SIO_FCLOSE    1
#define SIO_FEOF      2
#define SIO_FERROR    3
#define SIO_FFLUSH    4
#define SIO_FGETC     5
#define SIO_FGETPOS   6
#define SIO_FGETS     7
#define SIO_FOPEN     8
#define SIO_FPUTC     9
#define SIO_FPUTS    10
#define SIO_FREAD    11
#define SIO_FREOPEN  12
#define SIO_FSEEK    13
#define SIO_FSETPOS  14
#define SIO_FTELL    15
#define SIO_FWRITE   16
#define SIO_GETC     17
#define SIO_GETS     18
#define SIO_PUTC     19
#define SIO_PUTS     20
#define SIO_SETVBUF  21
#define SIO_UNGETC   22
#define SIO_CLEARERR 23
#define SIO_REMOVE   24
#define SIO_RENAME   25
#define SIO_FILENO   26
#define SIO_FSTAT    27
#define SIO_STAT     28

#endif
