#include "iface.h"
#include "node2.h"
#include "grint.h"
#include "setup.h"

/*
#define INQ  QGTO1
#define OUTQ Q1TO2
#define ATASK  WORK1P1
#define PRNUM  2
#define PRNAME "1"
*/
/*
#define INQ  Q1TO2
#define OUTQ Q2TO3
#define ATASK  WORK2P1
#define PRNUM  3
#define PRNAME "2"
*/

#define INQ  Q2TO3
#define OUTQ Q3TOR
#define ATASK  WORK3P1
#define PRNUM  4
#define PRNAME "3"



 static FILLSTYLE fillpars;


 void wlmon4 (void)
   {
   int x0, y0, y1 = 0;

   KS_Sleep (500);
   x0 = XBASE + 16 * (PRNUM - 1);
   KS_LockW (GRAPHRES);
   fillpars.type = SOLID_FILL;
   fillpars.color = 7;
   setfillstyle (&fillpars);
   bar (x0, YBASE - YS, x0 + 10, YBASE);
   setcolor (8);
   outtextxy (x0, YBASE + 8, PRNAME);
   KS_Unlock (GRAPHRES);

   while (1)
     {
     KS_Sleep (300);
     y0 = YS * KS_Workload ();
     y0 /= 1000;
     if (y0 != y1)   /* workload has changed */
       {
       KS_LockW (GRAPHRES);
       if (y0 > y1)  /* workload has increased, make bar longer */
	 {
	 fillpars.type = SOLID_FILL;
	 fillpars.color = 10;
	 setfillstyle (&fillpars);
	 bar (x0, YBASE - y0, x0 + 10, YBASE - y1);
	 }
       else          /* workload has decreased, make bar shorter */
	 {
	 fillpars.type = SOLID_FILL;
	 fillpars.color = 7;
	 setfillstyle (&fillpars);
	 bar (x0, YBASE - y1, x0 + 10, YBASE - y0);
	 }
       KS_Unlock (GRAPHRES);
       y1 = y0;      /* remember current workload */
       }
     }
   }


 int sillywork (void)
   {
   int i, j;
   for (i = j = 0; i < LOAD; i++) j += i;
   return j;
   }


 void work3p4 (void)
   {
   char t;
   while (1)
     {
     KS_DequeueW (INQ, &t, 1);
     sillywork ();
     KS_EnqueueW (OUTQ, &t, 1);
     if (t == PRNUM - 1)
       {
       KS_Resume (ATASK);
       KS_Suspend (KS_TaskId);
       }
     }
   }

