#include <string.h>
#include "_stdio.h"
#include "iface.h"
#include "node1.h"


 extern UNS32 *TXDATA;
 extern UNS32 *RXDATA;
 extern K_RES  hostres;


/* Example user host function */

/*
   See SOURCE\LINKHOST\USER.C for protocol details.

   Note : hostres is used to prevent concurrent access to
          the interface AND to the TX and RXDATA arrays.
          An easy mistake is this :

          ....
          call_server ();
          KS_Unlock (hostres);
          return RXDATA [1];    !! Wrong, may be corrupted !!
          }
*/


 int time (void)
   {
   int t;

   KS_LockW (hostres);

   TXDATA [0] = 1 + (128 << 16);
   call_server ();
   t = RXDATA [1];

   KS_Unlock (hostres);
   return t;
   }


 void test (void)
   {
   int t;

   while (1)
     {
     t = time ();
     printf ("Unix time = %10d %08x\n", t, t);
     }
   }

